[postgis-tickets] [SCM] PostGIS branch master updated. 3.4.0beta1-75-g2588af6ee
git at osgeo.org
git at osgeo.org
Fri Jul 28 01:30:28 PDT 2023
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".
The branch, master has been updated
via 2588af6ee728774dd8cef0f2460e93d6746c2818 (commit)
from 8c022a40256da252f9f4a318799f3893ab8defe9 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 2588af6ee728774dd8cef0f2460e93d6746c2818
Author: Sandro Santilli <strk at kbt.io>
Date: Fri Jul 28 10:30:13 2023 +0200
make_dist: exit on error
diff --git a/make_dist.sh b/make_dist.sh
index c468133db..4a2a30b27 100755
--- a/make_dist.sh
+++ b/make_dist.sh
@@ -66,15 +66,15 @@ rm -rfv "$outdir"/ci "$outdir"/.gitlab-ci.yml "$outdir"/.github "$outdir"/.dron*
echo "Running autogen.sh; ./configure"
owd="$PWD"
cd "$outdir"
-./autogen.sh
-./configure ${CONFIGURE_ARGS}
+./autogen.sh || exit 1
+./configure ${CONFIGURE_ARGS} || exit 1
# generating postgis_revision.h for >= 2.0.0 tags
if test -f utils/repo_revision.pl; then
echo "Generating postgis_revision.h"
- perl utils/repo_revision.pl
+ perl utils/repo_revision.pl || exit 1
fi
# generate ChangeLog
-make ChangeLog
+make ChangeLog || exit 1
cd "$owd"
@@ -93,10 +93,10 @@ cd "$owd"
echo "Running make distclean"
owd="$PWD"
cd "$outdir"
-${MAKE} distclean
+${MAKE} distclean || exit 1
echo "Removing .git dir"
-rm -rf .git
+rm -rf .git || exit 1
cd "$owd"
@@ -115,8 +115,8 @@ if test "$version" = "dev"; then
else
package=${newoutdir}.tar.gz
fi
- rm -rf ${newoutdir}
- mv -v "$outdir" "$newoutdir"
+ rm -rf ${newoutdir} || exit 1
+ mv -v "$outdir" "$newoutdir" || exit 1
outdir=${newoutdir}
fi
@@ -125,7 +125,7 @@ if test "x$package" = "x"; then
package="postgis-$version.tar.gz"
fi
echo "Generating $package file"
-tar czf "$package" "$outdir"
+tar czf "$package" "$outdir" || exit 1
#echo "Cleaning up"
#rm -Rf "$outdir"
-----------------------------------------------------------------------
Summary of changes:
make_dist.sh | 18 +++++++++---------
1 file changed, 9 insertions(+), 9 deletions(-)
hooks/post-receive
--
PostGIS
More information about the postgis-tickets
mailing list